### Signal

# ECal ComponentBag::span-changed

since: 3.58

#### Declaration

    void
    span_changed (
      ECalComponentBag* self,
      ECalComponentBagItem** items,
      gpointer user_data
    )

#### Description [src]

A signal emitted with an array of `ECalComponentBagItem` structures, whose span changed.

The respective items can be modified, but if any properties related to the layout changes then the content needs to be recalculated, for example by calling e_cal_component_bag_rebuild().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 3.58

#### Parameters

`items`

  Type: An array of `ECalComponentBagItem*`

  A `GPtrArray` with `ECalComponentBagItem` whose span changed.

  The data is owned by the caller of the function.